Skip to main content

 

Documentation & User Guides | FotoWare

FotoWeb Desktop client requirements

System requirements to run the FotoWeb Desktop suite on clients.

When is FotoWeb Desktop needed?

A client installation of the FotoWeb Desktop suite is required for the following functionality: 

  • Check Out/In
  • Check out and open asset in locally installed associated application
  • Image Edit, Crop, Upload
  • Placing assets in Microsoft Office.
  • Opening and editing assets in Photoshop/Illustrator/InDesign

FotoWeb Desktop client requirements

  •  Windows 7, Windows 8, Windows 10, Apple Mac OS Lion (10.7) through El Capitan (10.11)

  • .NET Framework 4.0 Client Profile (Windows - will be downloaded by installer if not already present on the system)

  • Visual Studio 2010 Tools for Office Runtime (Windows - will be downloaded by installer if not already present on the system)

  • Minimum 1 GB RAM, 2 GB recommended

  • Microsoft Office 2007, 2010 or 2013 and 2016 for Windows desktop required to use the plugins for Word and PowerPoint. Office for iOS and Office for Mac are not supported.

  • Adobe CS5, CS6 or Creative Cloud required to use the extensions for Photoshop, Illustrator and InDesign. See notes on Creative Cloud support below.

Important: To make the FotoWeb Desktop plugins work correctly with Microsoft Office 2007, you will need to update the Office installation with the "2007 Microsoft Office Suite Service Pack 2" and all subsequently released patches. Failure to do so will result in problems when initializing the plugins for Microsoft Office. With Microsoft Office 2010  and 2013 you should not need to apply additional patches to make the plugins work.

Adobe Creative Cloud support

Adobe is ending support for flash based plugins in recent versions of Creative Cloud.

The current FotoWeb extension for Photoshop works with Photoshop CS5, CS6 and CC (not CC 2014 and newer)

The current FotoWeb extension for InDesign and Illustrator is verified to work with all versions from CS5 up to CC 2015.
Installing the extensions in Adobe Extensions Manager on the client system requires local administrator privileges.

Please also note that CC 2015 requires installation of the extensions using a third party tool.